﻿@model eCommerce.UI.ViewModels.CatalogoViewModel
@using eCommerce.UI.Utils
@using eCommerce.Services.Model

@if (Model.Filter.Term == null && Model.Filter.Term != "")
{

    <div class="widget accordion-widget category-accordions">
        <h3 class="categories-title">CATEGORÍAS</h3>

        <div class="accordion">

            <div class="accordion-group">
                @{int i = 1;}
                @foreach (Category cat in MenuHelper.GetCategories())
                {
                    <div class="accordion-heading">
                        <a class="accordion-toggle @(cat.CategoryId == Model.CategoryId ? "selected-category" : string.Empty)" href="/@Utility.CataloguePrefix/@cat.SeoUrl" @*href="/shop/@cat.CategoryId/@cat.FormattedName"*@>
                            @cat.Name
                        </a>
                        @if (cat.ChildCategories.Any())
                        {
                            <div class="toggle-button"><a data-toggle="collapse" href="#collapse-@i" class="@(cat.CategoryId == Model.ParentCategoryId ? string.Empty : "collapsed")"></a></div>
                        }
                    </div>

                    <div id="collapse-@i" class="accordion-body collapse
                    @(cat.CategoryId == Model.ParentCategoryId ? "in" : string.Empty)">
                        <div class="accordion-inner">
                            <ul>
                                @foreach (var category in MenuHelper.GetCategoryMenu(cat.CategoryId).Categories.Where(x => x.Name != string.Empty))
                                {
                                    if (category.ChildCategories.Any())
                                    {
                                        <li>
                                            <div class="accordion-heading">
                                                <a href="/@Utility.CataloguePrefix/@category.SeoUrl" @*href="/shop/@category.CategoryId/@category.ParentCategory.FormattedName-@category.FormattedName"*@ class="@(category.CategoryId == Model.CategoryId ? "selected-category" : string.Empty)">- @category.Name</a>
                                            </div>
                                            <div id="collapseSub-@category.CategoryId" class="accordion-body collapse in">
                                                <ul>
                                                    @foreach (var category2 in category.ChildCategories)
                                                    {
                                                        if (category2.ChildCategories.Any())
                                                        {
                                                            <li>
                                                                <div class="accordion-heading">
                                                                    <a href="/@Utility.CataloguePrefix/@category2.SeoUrl" @*href="/shop/@category2.CategoryId/@category2.ParentCategory.ParentCategory.FormattedName-@category2.ParentCategory.FormattedName-@category2.FormattedName"*@ class="@(category2.CategoryId == Model.CategoryId ? "selected-category" : string.Empty)">- @category2.Name </a>
                                                                </div>
                                                                <div id="collapseSub-@category2.CategoryId" class="accordion-body collapse in">
                                                                    <ul>
                                                                        @foreach (var category3 in category2.ChildCategories.Distinct())
                                                                        {
                                                                            <li><a href="/@Utility.CataloguePrefix/@category3.SeoUrl" @*href="/shop/@category3.CategoryId/@category3.ParentCategory.ParentCategory.ParentCategory.FormattedName-@category3.ParentCategory.ParentCategory.FormattedName-@category3.ParentCategory.FormattedName-@category3.FormattedName"*@ class="@(category3.CategoryId == Model.CategoryId ? "selected-category" : string.Empty)">- @category3.Name</a></li>
                                                                        }
                                                                    </ul>
                                                                </div>
                                                            </li>
                                                        }
                                                        else
                                                        {
                                                            <li><a href="/@Utility.CataloguePrefix/@category2.SeoUrl" @*href="/shop/@category2.CategoryId/@category2.ParentCategory.ParentCategory.FormattedName-@category2.ParentCategory.FormattedName-@category2.FormattedName"*@ class="@(category2.CategoryId == Model.CategoryId ? "selected-category" : string.Empty)">- @category2.Name</a></li>
                                                        }
                                                    }
                                                </ul>
                                            </div>
                                        </li>
                                    }
                                    else
                                    {
                                        <li><a href="/@Utility.CataloguePrefix/@category.SeoUrl" @*href="/shop/@category.CategoryId/@category.ParentCategory.FormattedName-@category.FormattedName"*@ class="@(category.CategoryId == Model.CategoryId ? "selected-category" : string.Empty)">- @category.Name</a></li>
                                    }
                                }
                            </ul>
                        </div>
                    </div>
                    i++;
                }
            </div>

        </div><!-- /.accordion -->
    </div><!-- /.category-accordions -->

                    }